# $Revision: 1.11.2.1 $, $Date: 2003/03/13 00:57:18 $
# TODO:
# - make cgi scripts from doc as separate packages
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	SmbClient
Summary:	Filesys::SmbClient Perl module
Summary(cs):	Modul Filesys::SmbClient pro Perl
Summary(da):	Perlmodul Filesys::SmbClient
Summary(de):	Filesys::SmbClient Perl Modul
Summary(es):	Mdulo de Perl Filesys::SmbClient
Summary(fr):	Module Perl Filesys::SmbClient
Summary(it):	Modulo di Perl Filesys::SmbClient
Summary(ja):	Filesys::SmbClient Perl ⥸塼
Summary(ko):	Filesys::SmbClient  
Summary(no):	Perlmodul Filesys::SmbClient
Summary(pl):	Modu Perla Filesys::SmbClient
Summary(pt):	Mdulo de Perl Filesys::SmbClient
Summary(pt_BR):	Mdulo Perl Filesys::SmbClient
Summary(ru):	  Perl Filesys::SmbClient
Summary(sv):	Filesys::SmbClient Perlmodul
Summary(uk):	  Perl Filesys::SmbClient
Summary(zh_CN):	Filesys::SmbClient Perl ģ
Name:		perl-Filesys-SmbClient
Version:	1.4
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-notest.patch
BuildRequires:	autoconf
BuildRequires:	libsmbclient-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautocompressdoc *.cgi

%description
Filesys::SmbClient Perl module.

%description -l cs
Modul Filesys::SmbClient pro Perl.

%description -l da
Perlmodul Filesys::SmbClient.

%description -l de
Filesys::SmbClient Perl Modul.

%description -l es
Mdulo de Perl Filesys::SmbClient.

%description -l fr
Module Perl Filesys::SmbClient.

%description -l it
Modulo di Perl Filesys::SmbClient.

%description -l ja
Filesys::SmbClient Perl ⥸塼.

%description -l ko
Filesys::SmbClient  .

%description -l no
Perlmodul Filesys::SmbClient.

%description -l pl
Modu Perla Filesys::SmbClient.

%description -l pt
Mdulo de Perl Filesys::SmbClient.

%description -l pt_BR
Mdulo Perl Filesys::SmbClient.

%description -l ru
  Perl Filesys::SmbClient.

%description -l sv
Filesys::SmbClient Perlmodul.

%description -l uk
  Perl Filesys::SmbClient.

%description -l zh_CN
Filesys::SmbClient Perl ģ

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__autoconf}
%configure
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes smb2www-2.cgi smb2www.css
%dir %{perl_sitearch}/Filesys
%{perl_sitearch}/Filesys/*.pm
%dir %{perl_sitearch}/auto/Filesys
%dir %{perl_sitearch}/auto/Filesys/SmbClient
# empty autosplit.ix
#%%{perl_sitearch}/auto/Filesys/SmbClient/autosplit.ix
%{perl_sitearch}/auto/Filesys/SmbClient/SmbClient.bs
%attr(755,root,root) %{perl_sitearch}/auto/Filesys/SmbClient/SmbClient.so
# this is NOT duplicate:
#%dir %{perl_sitearch}/auto/Filesys/Smbclient
#%dir %{perl_sitearch}/auto/Filesys/Smbclient/libauthSamba
#%%{perl_sitearch}/auto/Filesys/Smbclient/libauthSamba/libauthSamba.a
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Filesys-SmbClient.spec,v $
Revision 1.11.2.1  2003/03/13 00:57:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.11  2003/02/28 10:08:22  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.10  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:32:29  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/11/21 17:13:01  mis
- autoupdated to 1.4

Revision 1.7  2002/10/09 11:12:35  qboosh
- BR: autoconf

Revision 1.6  2002/09/26 17:00:39  ankry
- version 1.2, release 1 ; fixed file list

Revision 1.5  2002/08/03 11:30:16  ankry
- added test on BCond
- added autosplit.ix
- release 4

Revision 1.4  2002/07/18 23:56:11  ankry
- added %%{perl_sitearch}/Filesys
- release 3

Revision 1.3  2002/07/16 23:38:46  ankry
- translations, cleaning
- added %%{perl_sitearch}/auto/Filesys dir, removed unnecessary %%attr
- don't compress .cg in %%doc
- release 2

Revision 1.2  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.1  2002/06/03 22:42:51  blues
- initial release
